baseURL: "https://yann.verry.org"
title: There is no magic, only unread error messages
paginate: 5
theme: PaperMod

defaultContentLanguage: fr
languages:
  en:
    languageName: ":gb:"
    languageAltTitle: English
    title: "Yann Verry | When infrastructures matter"
    homeInfoParams:
      Title: "Hi there \U0001F44B"
      Content: There is no magic, only unread error messages
  fr:
    languageName: ":fr:"
    languageAltTitle: French
    title: "Yann Verry | Quand les infrastructures comptent"
    homeInfoParams:
      Title: "Bonjour à vous \U0001F44B"
      Content: "Il n'y a pas de magie, seulement des messages d'erreurs. L'infra à forte charge est ma passion, j'éssai de vous partager quelques feedback"

enableRobotsTXT: true
buildDrafts: false
buildFuture: false
buildExpired: false

minify:
  disableXML: true
  minifyOutput: true

params:
  env: production # to enable google analytics, opengraph, twitter-cards and schema.
  title: Yann Verry
  description: "Blog"
  keywords: [Blog, Yann Verry]
  author: Me
 # images: ["https://20181125_092822-PANO.jpg"]
  image: "/public/cover.jpg"
  DateFormat: "2 January 2006"
  defaultTheme: auto # dark, light
  disableThemeToggle: false

  ShowReadingTime: true
  ShowShareButtons: false
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  comments: false
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: true
  assets:
    disableFingerprinting: true

  assets:
    # disableHLJS: true # to disable highlight.js
    # disableFingerprinting: true

  label:
    text: "Home"
    icon: https://verry.org/images/yverry.webp
    iconHeight: 35

  # home-info mode
  homeInfoParams:
    Title: "Hi there \U0001F44B"
    Content: There is no magic, only unread error messages

  socialIcons:
    - name: twitter
      url: "https://twitter.com/yverry"
    - name: gitea
      url: "https://git.verry.org/"
    - name: RSS
      url: "index.xml"
    - name: Me
      url: "https://verry.org"

  editPost:
    URL: "https://git.verry.org/yann/yann.verry.org/src/branch/main/content"
    Text: "Suggest Changes" # edit text
    appendFilePath: true # to append file path to Edit link

  # for search
  # https://fusejs.io/api/options.html
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "permalink", "summary", "content"]
menu:
  main:
    - identifier: tags
      name: Tags
      url: /tags/
      weight: 1

outputs:
  home:
    - HTML
    - RSS
    - JSON
